# Plugin
PLUGIN_NAME             = Hyades Trace Views Plugin
PROVIDER_NAME           = Eclipse.org

BROWSE                            = B&rowse...

STR_OPEN_PATTERN_ERROR_           = IWAT0055E Error opening the Execution Flow view.
STR_OPEN_R_PATTERN_ERROR_         = IWAT0056E Error opening the Object References view.
STR_OPEN_TRACE_ERROR_             = IWAT0057E Error opening the Profiling perspective.
STR_OPEN_METHOD_ERROR_            = IWAT0059E Error opening the Method Statistics view.

STR_OPEN_PACKAGE_STATISTIC_ERROR_ = IWAT0062E Error opening the Package Statistics view.
STR_OPEN_CLASS_STATISTIC_ERROR_   = IWAT0063E Error opening the Class Statistics view.

#actions
COMPRESS_TIME                     = Zoom Out
EXPAND_TIME                       = Zoom In
RESET_TIME                        = Home

STR_UPDATE                        = Update Views
#STR_UPDATE_TOOLTIP               = Use the Update View button to refresh the data.
STR_ZOOM_IN                       = Zoom In
STR_ZOOM_OUT                      = Zoom Out
STR_PREVIOUS                      = Previous
STR_NEXT                          = Next
STR_PREV_TEXT                     = Previous Invocation
STR_NEXT_TEXT                     = Next Invocation

#MethodDrawStrategy
METH_TITLE_ELAPSED_TIME           = Base Time
METH_TITLE_NUM_CALLS              = Number of Calls
METH_TITLE_TIME_ON_STACK          = Cumulative Time
METH_SELECT_METHOD_CALLEES        = Show Called Methods
METH_SELECT_METHOD_CALLEES_TOP5   = Show Called Methods (top 5)

METH_SHOW_INVOC                   = Show Method Invocation
SHOW_PERCENT                      = Show as Percentage

SHOW_OBJ_REF                      = Show Object References

#PatternDrawStrategy
STR_DETECT_REP                    = Detect All Repetitions
STR_HIDE_REP                      = Hide All Repetitions
STR_SHOW_THREADS                  = Show All Threads
STR_HIDE_THREADS                  = Hide All Threads
STR_SHOW                          = Show
STR_HIDE                          = Hide

STR_THREADS                       = Threads

#Statistics
STR_ST_CLASS_NAME                 = Class Names
STR_ST_METHOD_NAME                = Method Names
STR_ST_PACKAGE                    = Package
STR_ST_INSTANCES                  = Total Instances
STR_ST_COLLECTED                  = Collected
STR_ST_CPU_TIME                   = Base Time
STR_ST_CPU_TIME_AVERAGE           = Average Base Time
STR_ST_STACK_TIME                 = Cumulative Time
STR_ST_SIZE                       = Total Size
STR_ST_CALLS                      = Calls
STR_ST_SUPERCLASSES               = Superclass
STR_ST_INTERFACES                 = Interfaces
STR_ST_SOURCE_NAME                = Source Name
STR_ST_INSTANCE_INDEX             = Instance Name

STR_ST_CPU_INHTIME                = Inherited Base Time
STR_ST_STACK_INHTIME              = Inherited Cumulative Time
STR_ST_INHCALLS                   = Inherited Calls

STR_ST_CHOOSE_COL                 = Choose Columns...
STR_ST_COL_SETTINGS               = Choose Columns
#STR_ST_RUN_GC                    = Run GC
STR_ST_FILTER                     = &Filter:

STR_COL_DLG_TEXT                  = Select the columns that you want displayed.\n Use Up and Down buttons to change the order of the columns.
STR_COL_DLG_UP                    = &Up
STR_COL_DLG_DOWN                  = D&own
STR_ST_DLG_TEXT1                  = The selected column should be
STR_ST_DLG_TEXT2                  = pixels wide.

STR_ST_PRINT_COL                  = Export to HTML
STR_PRINT_DLG_TEXT                = Select the file to contain the HTML data.
STR_PRINT_DLG_FILE                = &File:
STR_PRINT_DLG_BROWSE              = &Browse...
STR_PRINT_DLG_ERROR               = Please select a file name.

STR_OPEN_CLASS_ST_ACTION          = Class Statistics
STR_OPEN_PACKAGE_ST_ACTION        = Package Statistics
STR_OPEN_CLASS_INSTANCE_ST_ACTION = Instance Statistics
STR_OPEN_EXECUTION_ACTION         = Execution Flow
STR_OPEN_OBJ_REF_ACTION           = Object References
STR_CLASS_ST_TITLE                = Class Statistics
STR_CLASS_INSTANCE_ST_TITLE       = Instance Statistics
STR_PACKAGE_ST_TITLE              = Package Statistics
STR_METH_ST_TITLE                 = Method Statistics
STR_INST_ST_TITLE                 = Instance Statistics
STR_EXEC_TITLE                    = Execution Flow
STR_OBJ_REF_TITLE                 = Object References
STR_METH_INVOC_TITLE              = Method Invocation
STR_PROF_ACTION_SET               = Trace Profiling
STR_VIEW_ACTION_SET               = Profiling views
STR_SHOW_EXEC_ACTION              = Show Execution Flow
STR_SHOW_REF_ACTION               = Show Object References
STR_ACT_SET_CLS                   = Class Statistics
STR_ACT_SET_CLS_INST              = Instance Statistics
STR_ACT_SET_PACKAGE               = Package Statistics
STR_ACT_SET_PACKAGE_TIP           = Open Package Statistics
STR_ACT_SET_CLS_TIP               = Open Class Statistics
STR_ACT_SET_CLS_INST_TIP          = Open Instance Statistics
STR_ACT_SET_METH_ACTION           = Method Statistics
STR_ACT_SET_INST_ACTION           = Instance Statistics
STR_ACT_SET_METH_ACTION_TIP       = Open Method Statistics
STR_ACT_SET_EXEC_ACTION           = Execution Flow
STR_ACT_SET_EXEC_ACTION_TIP       = Open Execution Flow
STR_ACT_SET_REF_ACTION            = Object References
STR_ACT_SET_REF_ACTION_TIP        = Open Object References

#Exception
#SHARED_BUFFER_EXCEPTION          = Must provide a SharedBuffer.
ASSERT_FAILURE_EXCEPTION          = Assert Failure
#CANNOT_FIND_EVOLVED_EXCEPTION    = Cannot find the evolved class.
#INVALID_VERSION_EXCEPTION        = Invalid version in header.

#MUST_PROVIDE_INPUTSTREAM         = Must provide an InputStream.
IO_ERROR                          = IO Error.

CANNOT_SET_INVALID_METHOD         = Cannot set an invalid method.

NO_NAME                           = No Name

DEFAULT_HISTORY_BY_TYPE           = Default histogram lines by type
DEFAULT_HISTOGRAM_MAPPING         = Default histogram value mapping

NO_MORE_OCCURRENCES               = No more occurrences

STR_TRACE_MSG                     = Profiling Message
ERR_SELECT_COLS                   = Please select at least one column.
STR_CALLER                        = Show Caller
STR_CALLEE                        = Show Called Method
STR_HOME                          = Home

#CLASS_COLUMN                     = Class Column
#METHOD_COLUMN                    = Method Column
SHOW_SOURCE                       = Open Source
STR_SOURCE                        = Open Source
#STR_GENERATION_OBJREF            = dump objects

STR_UPDATE_VIEWS                  = Update Views

#PatternDrawStrategy.java
# For non-english translation, please translate "GC" as in "Garbage Collection".
STR_GC                            = GC
#STR_GARBAGE_COLLECTION           = Garbage Collection
#STR_GARBAGE_COLLECTED            = Garbage Collected
# e.g. Number of generation, ie, generation 1, generation 2, etc.
GENERATION_A                      = generation %1
# Linear Pattern refers to repetitive patterns (words) from a series of objects. %2 refers to a linear pattern (singular)
# fanout refers to number of callees. Translate fanout as Number of Callees. (a callee is the opposite of a caller)
#LINPATTERN_IMPOSSIBLE            = linear pattern impossible (fanout :%1 ) %2
GC_ED_OBJECT                      = Garbage collected object: %1
# Time is in seconds. If translating, you can refer to as time in seconds or simply seconds.
# Use this as the guideline for translating time.
TIME_X                            = time: %1
# Cumulative time is the total number of seconds counting up to a certain instant. You can translate to as cumulative time in seconds.
# Use this as the guideline for translating cumulative time.
THREAD_A_ON_B_AT_C_TIME           = thread: %1 on %2 at: %3 cumulative time: %4
THREAD_A_TIME_X                   = thread: %1, time: %2
A_ON_B_AT_C_TIME                  = %1 in %2 at: %3 cumulative time: %4

#SinglePatternDrawStrategy.java
METHOD_A                          = method %1
OBJECT_A                          = object %1
STR_NOTHING_SELECTED              = Nothing selected

STR_ST_CASE_SENSITIVE             = Case-&sensitive
STR_ST_LIVE_INSTANCES             = Live Instances
STR_ST_LIVE_STORAGE               = Active Size
STR_ST_SHOW_DELTA_COLUMNS         = Show Delta Columns
STR_ST_DELTA                      = Delta
STR_COL_DLG_RESTORE_DEFAULTS      = Restore Defaults
DEFAULT_PACKAGE                   = (default package)
STR_VIEW_NOT_AVAILABLE_INFO_      = IWAT0064I The selected view is not available with the current installation.

GRAPH_COLOR_PAGE                  = Execution Flow Graph
BACKGROUND_COLOR_GRP              = Bac&kground Color:
BACKGROUND_DEFAULT                = S&ystem default
BACKGROUND_CUSTOM                 = C&ustom
CLASS_COLOR_GRP                   = &Class Color:
CLASS_COLOR_RANDOM                = Ge&nerate a unique color for every class
CLASS_COLOR_ONE                   = U&se one color for all classes
UNKNOWN_CLASS_COLOR               = Unknown class c&olor:
SELECTION_COLOR                   = Selection co&lor:
GRAPH_FONT                        = &Graph font setting:
STR_GRAPH_COLOR_DLG_TEXT          = Graph Color Settings
STR_GRAPH_COLOR_DLG               = Graph Color
OPEN_COLOR_DLG                    = Graph Colors...
OPEN_COLOR_DLG_TEXT               = Graph Colors
STR_OPEN_ST_PATTERN_ERROR_        = IWAT0055E Error opening Execution Flow Table view.
STR_THREAD_NAME                   = Thread Names
SHOW_EXEC_STAT                    = Show Execution Table
STR_EXECUTION_FLOW_TABLE          = Execution Flow Table
STR_INVOCATION_TABLE              = Method Invocation Table
STR_OPEN_INVOC_TABLE_ERROR_       = IWAT0055E Error opening Method Invocation Table view.
SHOW_INVOC_STAT                   = Show Invocation Table
STR_INVOCATION_COL                = Invocations
STR_REFERENCE_TABLE               = Object References Table
STR_REFERENCE_NAME                = Reference Names
STR_OPEN_REFERENCE_TABLE          = Show Object References Table
STR_OPEN_ST_REF_ERROR_            = IWAT0055E Error opening Object References Table view.
STR_NB_REF                        = Number of References
STR_REF_SIZE                      = Size
TITLE_START_TIME                  = Start Time
STR_REFERANDS                     = Show Reference By
STR_REFEREE                       = Show Reference To
STR_GRAPH_UNIT                    = [seconds]
STR_RAW_TIME                      = Raw Time
STR_COMPENSATED_TIME              = Compensated Time
STR_SHOW_TIME                     = Show Time
THREAD_A_ON_B_AT_RAW_TIME         = thread: %1 on %2 at: %3 raw cumulative time: %4
A_ON_B_AT_RAW_TIME                = %1 in %2 at: %3 raw cumulative time: %4
TITLE_RAW_TIME_ON_STACK           = Raw Cumulative Time

STR_STD_SELECT                    = Select Zoom

STR_OPEN_METH_ST_ACTION           = Method Statistics
TITLE_TIME_ON_STACK               = Cumulative Time

REF_BY_DETAIL                     = Is referenced by %1 object(s).
REF_TO_DETAIL                     = References %1 object(s).
REF_BY_DET1                       = Has %1 references to %2.
REF_TO_DET1                       = %1 has %2 references to this object.
traceViews                        = Profiler Views
agentType                         = Agent Type

STR_RVIEW_ACTION_SET              = Profiling Object References view
STR_EVIEW_ACTION_SET              = Profiling Execution views
DUMP_OBJ_REF_ACTION               = &Collect Object References
DUMP_OBJ_REF_ACTION_TIP           = Collect Object References
STR_OBJ_REF_DETAIL                = Details
STR_SHOW_CLS_ST                   = Show Class Statistics
STR_SHOW_METH_ST                  = Show Method Statistics

#Coverage statistic view

STR_COVERAGE_ST_TITLE			 = Coverage Statistics
STR_OPEN_COVERAGE_ST_ACTION		 = Coverage Statistics
STR_ACT_SET_COVERAGE			 = Coverage Statistics
STR_ACT_SET_COVERAGE_TIP		 = Open Coverage Statistics
STR_ST_PACKAGE_LEVEL	         = Package Level Information	
STR_ST_CLASS_LEVEL               = Class Level Information
STR_ST_METHOD_LEVEL              = Method Level Information

ST_SUMMARY                   = <--Summary-->
ST_MISSED                    = missed
ST_HIT                       = hit

STR_COL_ITEM_NAMES           = Item names
STR_COL_CLASS_NAME           = Class Names
STR_COL_PACKAGE              = Package
STR_COL_CALLS                = Calls
STR_COL_METHOD_MISSED        = Methods missed
STR_COL_METHOD_HIT           = Methods hit
STR_COL_RATE                 = % Methods Hit

#CoverageStatistic.Parser() 
STR_COL_NAME  				 = name
STR_COL_WIDTH 				 = width
STR_COL_ALIGN 				 = align
STR_COL_POS 				 = pos
STR_COL_TYPE                 = type
STR_COL_STYLE				 = style

STR_OBJ_REF_DETAIL                = Details

#Statistical viewer
STR_OPEN_STATISTIC_ERROR_                   = Cannot open Statistical Viewer
STR_STAT_TITLE                              = Statistical Data
STR_OPEN_STATISTICAL_VIEWER_ACTION         =  Statistical Data